Bug 33524 - Use template wrapper for tabs: Authority editor
Summary: Use template wrapper for tabs: Authority editor
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 32571 33525
Blocks: 35110
  Show dependency treegraph
 
Reported: 2023-04-13 14:52 UTC by Owen Leonard
Modified: 2023-10-19 19:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.11.00,23.05.01,22.11.07


Attachments
Bug 33524: Use template wrapper for tabs: Authority editor (7.63 KB, patch)
2023-05-26 14:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 33524: Use template wrapper for tabs: Authority editor (7.69 KB, patch)
2023-05-29 17:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 33524: Use template wrapper for tabs: Authority editor (7.74 KB, patch)
2023-06-07 17:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-04-13 14:52:13 UTC
Continuing the work of Bug 32571, I would like to update the authority editor in the staff client to use the new WRAPPER for tabs
Comment 1 Owen Leonard 2023-05-26 14:04:36 UTC
Created attachment 151762 [details] [review]
Bug 33524: Use template wrapper for tabs: Authority editor

This patch updates the authority editor template to replace tab markup
with the use of WRAPPERs. Some CSS and JS has been modified in order to
make the custom style and behavior of the tabs on this page work
correctly with standard Bootstrap tab markup.

To test, apply the patch and go to Authorities -> New authority.

- Confirm that the tabs look correct, with the same style they had
  before the template change.
- The first tab ("0") should be selected by default.
- Confirm that tab-switching works correctly: The tab color should
  change and the list of numbered tags in the menu just below should
  change to match the section.
  - Confirm that these tag number links still work correctly to jump you
    down the page to the corresponding tag.
- Without filling in any mandatory fields, click the "Save" button.
  - You should get an error message about missing mandatory fields.
    - Clicking the "Go to field" link should take you to the correct tab
      and the correct tag.
- Append a hash to the URL to pre-select a tab other than the first one,
  e.g. "/cgi-bin/koha/authorities/authorities.pl?authtypecode=PERSO_NAME#tab5XX_panel"
  The correct tab should be selected upon page load.
Comment 2 Katrin Fischer 2023-05-29 17:08:37 UTC
Created attachment 151784 [details] [review]
Bug 33524: Use template wrapper for tabs: Authority editor

This patch updates the authority editor template to replace tab markup
with the use of WRAPPERs. Some CSS and JS has been modified in order to
make the custom style and behavior of the tabs on this page work
correctly with standard Bootstrap tab markup.

To test, apply the patch and go to Authorities -> New authority.

- Confirm that the tabs look correct, with the same style they had
  before the template change.
- The first tab ("0") should be selected by default.
- Confirm that tab-switching works correctly: The tab color should
  change and the list of numbered tags in the menu just below should
  change to match the section.
  - Confirm that these tag number links still work correctly to jump you
    down the page to the corresponding tag.
- Without filling in any mandatory fields, click the "Save" button.
  - You should get an error message about missing mandatory fields.
    - Clicking the "Go to field" link should take you to the correct tab
      and the correct tag.
- Append a hash to the URL to pre-select a tab other than the first one,
  e.g. "/cgi-bin/koha/authorities/authorities.pl?authtypecode=PERSO_NAME#tab5XX_panel"
  The correct tab should be selected upon page load.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Tomás Cohen Arazi 2023-06-07 17:47:35 UTC
Created attachment 152126 [details] [review]
Bug 33524: Use template wrapper for tabs: Authority editor

This patch updates the authority editor template to replace tab markup
with the use of WRAPPERs. Some CSS and JS has been modified in order to
make the custom style and behavior of the tabs on this page work
correctly with standard Bootstrap tab markup.

To test, apply the patch and go to Authorities -> New authority.

- Confirm that the tabs look correct, with the same style they had
  before the template change.
- The first tab ("0") should be selected by default.
- Confirm that tab-switching works correctly: The tab color should
  change and the list of numbered tags in the menu just below should
  change to match the section.
  - Confirm that these tag number links still work correctly to jump you
    down the page to the corresponding tag.
- Without filling in any mandatory fields, click the "Save" button.
  - You should get an error message about missing mandatory fields.
    - Clicking the "Go to field" link should take you to the correct tab
      and the correct tag.
- Append a hash to the URL to pre-select a tab other than the first one,
  e.g. "/cgi-bin/koha/authorities/authorities.pl?authtypecode=PERSO_NAME#tab5XX_panel"
  The correct tab should be selected upon page load.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2023-06-07 18:34:05 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 5 Matt Blenkinsop 2023-06-12 11:55:42 UTC
Nice work everyone!

Pushed to oldstable for 22.11.x
Comment 6 Frédéric Demians 2023-09-01 16:50:58 UTC
It breaks authorities data entry in 22.11. Should be reverted.
Comment 7 Katrin Fischer 2023-09-05 07:36:36 UTC
(In reply to Frédéric Demians from comment #6)
> It breaks authorities data entry in 22.11. Should be reverted.

I just tested in 22.11.08 and could not spot an issue with editing and adding authorities. Can you add more details please? Also it would be best to file a separate bug, we will need one to properly reflect any fix in the release notes.
Comment 8 Fridolin Somers 2023-10-19 19:00:50 UTC
Ah I think I found the bug.
Since addbiblio.tt is working i bet is is like Bug 34251
Comment 9 Fridolin Somers 2023-10-19 19:05:01 UTC
I've opened Bug 35110